/* google fonts  */
@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@400;500;700&display=swap');

/* variable css */
:root{
    --header-height: 3.5rem;

    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --first-color: hsl(38, 69%, 59%);
    --text-color: hsl(38, 8%, 8%);
  
    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: 'Space Grotesk', sans-serif;
    --biggest-font-size: 2.375rem;
    --normal-font-size: .938rem;
    --smaller-font-size: .75rem;
}

/* Responsive typography */
@media screen and (min-width: 1024px) {
    :root {
      --biggest-font-size: 5rem;
      --normal-font-size: 1rem;
      --smaller-font-size: .813rem;
    }
  }
  /* basis */
  *{
      box-sizing: border-box;
      padding:0;
      margin:0;
  }
  body{
      font-family:var(--body-font);
      font-size:var(--normal-font-size);
      font-weight: 500;
      color:var(--text-color);
  }
  ul{
      list-style:none
  }
  a{
      text-decoration:none
  }
  img{
      max-width:100%;
      height:auto;
  }
  /* reuseable css classes  */
  .container{
      max-width:1024px;
      margin-left:1.2rem;
      margin-right:1.5rem;
  }
  .main{
      overflow:hidden;  /* to disapear the animation*/
  }

  /* header and nav */
  .header{
      position:fixed;
      width:100%;
      background-color: transparent;
      top:0;
      left:0;
      z-index:100;
  }
  .nav{
      height:var(--header-height);
      display: flex;
      justify-content: space-between;
      align-items:center;
  }
  .nav__logo,
  .nav__toggle{
      color:var(--text-color);
      display: inline-flex;
  }
  .nav__logo{
      font-weight:700;
  }
  .nav__toggle{
      font-size:1.25rem;
      cursor:pointer
  }
  .nav__list{
      text-align:center;
      display: flex;
      flex-direction: column;
      row-gap:2rem;
  }
  .nav__link{
      color:var(--text-color)
  }
  .nav__close{
      position: absolute;
      top:1rem;
      right:1.5rem;
      font-size:1.5rem;
      color:var(--text-color);
      cursor:pointer
  }

  /* responsive full navbar  */
  @media screen and (max-width:765px){
      .nav__menu{
          position:fixed;
          background-color: var(--first-color);
          left:0;
          /* will display by js */
          top:-300px;
          width:100%;
          padding:5rem 0 4rem;
          border-radius: 0 0 1.5rem 1.5rem;
          box-shadow: 0 2px 4px hsl(38, 4%, 15%, 0.15);
          transition:0.4s;
      }
  }
  /* showing the menu or hide it by click styles (controlled by main.js) */
  .show-menu{
      top:0;
  }
  /* home styling */
  .home{
    background-color: var(--first-color);
    padding:9rem 0 2rem;
    height:100vh;
    display:grid
  }
  .home__container{
    display: grid;
    align-items: center;
    row-gap: 2.5rem;
  }
  .home__data{
    text-align: center;
  }
  .home__subtitle{
    display:block;
  }
  .home__title{
    font-size: var(--biggest-font-size);
    margin:0.75rem 0;
  }
  .home__button{
    margin-top: 2rem;
    display: inline-block;
    background-color: var(--text-color);
    color:#fff;
    padding:0.8rem 1.5rem;
    border-radius: 3rem;
    transition:.4s;
  }
  .home__button:hover{
    box-shadow:0 4px 12px hsla(38, 69%, 8%, 0.2)
  }
  /* ============================================= */
  /* the animation of goest */
  /* ============================================= */
  .home__image img{
    width:230px;
    animation:floaty 1.8s infinite alternate;
  }
  /* the goust */
  @keyframes floaty{
    0%{
        transform: translateY(0)
    }
    100%{
        transform: translateY(15px);
    }
  }
  /* the shadow */
  @keyframes shadow{
    0%{
        transform: scale(1,1);
    }
    100%{
        transform: scale(0.85 , 0.85);
    }
  }
  .home__image{
    justify-self:center;
  }
  /* =========================================== */
  /* the shadow of goest */
  /* =========================================== */
  .home__shadow{
    width:130px;
    height: 24px;
    background-color: hsla(38,21% ,19%,.16);
    margin:0 auto;
    border-radius: 50%;
    filter:blur(7px);
    animation:shadow 1.8s infinite alternate;
  }
  .home__footer{
    display: flex;
    justify-content: center;
    column-gap:.5rem;
    font-size: var(--smaller-font-size);
    align-self:flex-end;
  }
  /* ============================================= */
  /* different devices break points  */
  /* ============================================= */
  /* small mobile screens */
  @media screen and (max-width:320px){
    .home{
      padding-top:7rem;
    }
  }
  /* medium tablets */
  @media screen and (min-width:767px){
    .nav{
      height: calc(var(--header-height) + 1.5rem);
    }
    .nav__toggle,
    .nav__close{
      display:none;
      /* just display the small icons in mobiled */
    }
    .nav__list{
      flex-direction:row;
      column-gap: 3.5rem; 
    }
  }
  /* larg devices */ 
  @media screen and (min-width:1024px){
    .home__container{
      grid-template-columns: repeat(2,1fr);
      align-items: center;
      column-gap: 2rem;
    }
    .home__data{
      text-align: center;
    }
    .home__image img{
      width:400px;
    }
    .home__shadow{
      width:250px;
      height:40px;
    }
    .container{
      margin:0  auto; 
    }
  } 
  /* supper large devices */
  @media screen and (min-width:2048px){
    body{
      zoom:1.7;
    }
    .home{
      height:initial;
      row-gap:4rem;
    }
  }
  @media screen and (min-width:3840px){
    body{
      zoom:3.1;
    }
  }
  
